Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: App upgrade fails

  1. #1
    Sencha User
    Join Date
    Sep 2013
    Posts
    14

    Default App upgrade fails

    Hi,

    Am trying to upgrade an app but have the following error:

    Code:
    [iMac64.local]:/Users/AI/App/> sencha app upgrade
    Sencha Cmd v4.0.0.203
    [ERR] java.lang.NullPointerException
         at com.sencha.util.Version.<init>(Version.java:36)
         at com.sencha.command.app.AppCommands$UpgradeCommand.execute(AppCommands.java:216)
         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
         at java.lang.reflect.Method.invoke(Method.java:597)
         at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:174)
         at com.sencha.cli.Command.dispatch(Command.java:42)
         at com.sencha.cli.Commands.dispatch(Commands.java:68)
         at com.sencha.cli.Commands.dispatch(Commands.java:68)
         at com.sencha.command.Sencha.dispatch(Sencha.java:81)
         at com.sencha.command.Sencha.main(Sencha.java:149)
    
    [ERR] 
    The application was last modified by an older version of Sencha Cmd (3.0.0.250)
    the current is 4.0.0.203.
    Please run "sencha app upgrade" to update to 4.0.0.203.
    Thanks
    Dave

  2. #2
    Sencha - Support Team keckeroo's Avatar
    Join Date
    Mar 2008
    Location
    Winnipeg, Canada
    Posts
    389

    Default

    Can you provide us with your versions of Ruby and Java please ? As well, did you recently upgrade your Mac to Mavericks ?

    Kevin

  3. #3
    Sencha User
    Join Date
    Sep 2013
    Posts
    14

    Default

    - Mac is currently 10.7.5
    - Java is 1.7.0_40
    - Ruby is 1.8.7

  4. #4
    Ext JS Premium Member
    Join Date
    Nov 2011
    Location
    The Netherlands
    Posts
    134

    Default

    Got the same issue when trying to upgrade from 4.2.1 to 4.2.2
    The upgrade is on a workspace and not on a single app.

    Code:
    Sencha Cmd v4.0.0.203
    [ERR] java.lang.NullPointerException
         at com.sencha.util.Version.<init>(Version.java:36)
         at com.sencha.command.app.AppCommands$UpgradeCommand.execute(AppCommands.java:216)
         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
         at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
         at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
         at java.lang.reflect.Method.invoke(Unknown Source)
         at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:174)
         at com.sencha.cli.Command.dispatch(Command.java:42)
         at com.sencha.cli.Commands.dispatch(Commands.java:68)
         at com.sencha.cli.Commands.dispatch(Commands.java:68)
         at com.sencha.command.Sencha.dispatch(Sencha.java:81)
         at com.sencha.command.Sencha.main(Sencha.java:149)
    Sencha Cmd 4.x
    Windows 7
    Java 1.7.0.17
    Ruby 1.9.3

  5. #5
    Sencha User
    Join Date
    Mar 2012
    Location
    Vienna
    Posts
    5

    Default

    same here...

    Sencha Cmd 4.0.0.203
    Mac 10.8.5
    Java 1.7.0_45
    Ruby 1.9.3p448
    Last edited by janoschbatschi; 26 Oct 2013 at 7:21 AM. Reason: tried diff. ruby version

  6. #6
    Sencha User
    Join Date
    Apr 2010
    Posts
    29

    Default

    Same issue with v4.0.0.203
    Windows 7
    Ruby 2.0
    java 1.7.0_05

  7. #7
    Sencha User
    Join Date
    May 2012
    Posts
    8

    Default

    same here, trying to upgrade sencha touch 2.2 to 2.3

    OSX 10.9
    Sencha Cmd v4.0.1.45
    java version "1.7.0_06"
    ruby 2.0.0p247 (2013-06-27 revision 41674) [universal.x86_64-darwin13]

  8. #8
    Sencha Premium Member
    Join Date
    Mar 2010
    Posts
    4

    Default

    Trying to upgrade ExtJS project from 4.0 to 4.1 (4.2 the same).

    ruby 2.0.0.p353 (2013-11-22) [x64-mingw32]
    Java 1.7.0_45
    Sencha Cmd v4.0.1.45
    Windows 7 Pro 64 bit

    Sencha Cmd v4.0.1.45
    [ERR] java.lang.NullPointerException
    at com.sencha.util.Version.<init>(Version.java:36)
    at com.sencha.command.app.AppCommands$UpgradeCommand.execute(AppCommands.java:216)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
    at com.sencha.cli.Command.dispatch(Command.java:42)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.command.Sencha.dispatch(Sencha.java:80)
    at com.sencha.command.Sencha.main(Sencha.java:148)

  9. #9

    Default

    I go the same error message when trying to do a production build but after do an app refresh it worked

    Code:
    sencha build app production
    Sencha Cmd v4.0.1.45
    [ERR] java.lang.NullPointerException
         at java.io.File.<init>(File.java:277)
         at com.sencha.util.FileUtil.readFile(FileUtil.java:170)
         at com.sencha.tools.compiler.jsb.projects.JsbBuilder.processBuild(JsbBuilder.java:29)
         at com.sencha.command.build.JsbCommand.execute(JsbCommand.java:15)
         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
         at java.lang.reflect.Method.invoke(Method.java:606)
         at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
         at com.sencha.cli.Command.dispatch(Command.java:42)
         at com.sencha.cli.Commands.dispatch(Commands.java:64)
         at com.sencha.command.Sencha.dispatch(Sencha.java:80)
         at com.sencha.command.Sencha.main(Sencha.java:148)
    Code:
    sencha app refresh

  10. #10

    Default

    Quote Originally Posted by keckeroo View Post
    Can you provide us with your versions of Ruby and Java please ? As well, did you recently upgrade your Mac to Mavericks ?

    Kevin
    Can you provide us with the requirements please?

    A page where we go to verify dependencies per version ? Consider putting it n the docs?

    Here is what I find in the docs: Ruby Ruby differs by OS

    Can you be more obtuse? Pull the tooth please. Talk to us.

    If we got mac this and cmd that, what frickin ruby do we need?

    Thank you

    PS: The working solution for me was to recreate the project and copy the old files into the new project.

    mac OSX 10.8.5
    Sencha Cmd v4.0.1.45
    ruby 1.8.7 (2012-02-08 patchlevel 358) [universal-darwin12.0]

    This ruby seems to compiles both 3.x and 4.x projects for me, so long as I never use the upgrade command.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •